#!/bin/sh

vars="/home/pi/birdcam/vars"

gpiocmd="$(command -v gpio)"

if [ -z "$gpiocmd" ]; then
        echo "Command gpio missing, try to install ..."

        echo "Check internet connection ..."
        pingserver="$(cat $vars | grep pingserver | cut -d'=' -f2)" 
        if ! ping -q -c1 $pingserver>/dev/null; then
                echo "No internet connection ..."
                exit 0
        fi

        wget https://project-downloads.drogon.net/wiringpi-latest.deb
        sudo dpkg -i wiringpi-latest.deb
        rm wiringpi-latest.deb

#       sudo apt update; sudo apt -y install wiringpi

        gpiocmd="$(command -v gpio)"
        if [ -z "$gpiocmd" ]; then
                echo "cannot install wiringpi, exiting ..."
                exit 0
        fi
fi

player="$(cat $vars | grep playerproc | cut -d'=' -f2)"
gpiopin_led_b="$(cat $vars | grep gpio_led_b | cut -d'=' -f2)"

$gpiocmd mode $gpiopin_led_b out
$gpiocmd write $gpiopin_led_b 0

while true; do

	if [ -n "$(pgrep $player)" ]; then
		$gpiocmd write $gpiopin_led_b 1
		sleep 0.1
		$gpiocmd write $gpiopin_led_b 0
	fi

	sleep 5
done
